Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdReceipt.NonFiscalReceipt

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.NonFiscalReceipt

Enclosing class:
  cmdReceipt

    public static class cmdReceipt.NonFiscalReceipt
    extends cmdReceipt

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `cmdReceipt.BarcodeType, cmdReceipt.FiscalReceipt, cmdReceipt.InvoiceClientInfo, cmdReceipt.NonFiscalReceipt, cmdReceipt.PaidMode, cmdReceipt.SeparatingLine, cmdReceipt.TotalResult`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NonFiscalReceipt()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `closeNonFiscalReceipt()` |
  `boolean` | `isOpen()` |
  `java.lang.Integer` | `open()` | Open a Non Fiscal Receipt
  `void` | `printNonFiscalText​(java.lang.String text)` | PRINTING OF FREE TEXT IN SERVICE BON
  `void` | `printNonFiscalText​(java.lang.String text, java.lang.String height)` | PRINTING OF FREE TEXT IN SERVICE BON
  `void` | `printNonFiscalText​(java.lang.String text, java.lang.String height, boolean bold, boolean italic, boolean doubleHigh)` | PRINTING OF FREE TEXT IN SERVICE BON
  `void` | `printSeparatingLine​(java.lang.String type)` | Printing a Separating Text in non fiscal receipt

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `printBarcode, setPrintBarcodeData`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NonFiscalReceipt

    public NonFiscalReceipt()

- ## Method Details

  - ### open

    public java.lang.Integer open() throws java.lang.Exception
    Open a Non Fiscal Receipt
    Returns:
      All issued receipt from the last Z report.
    Throws:
      `java.lang.Exception`

  - ### closeNonFiscalReceipt

    public int closeNonFiscalReceipt() throws java.lang.Exception
    Returns:
      All issued receipt from the last Z report.
    Throws:
      `java.lang.Exception`

  - ### isOpen

    public boolean isOpen()
    Returns:
      true if None Fiscal Receipt is open

  - ### printNonFiscalText

    public void printNonFiscalText​(java.lang.String text) throws java.lang.Exception
    PRINTING OF FREE TEXT IN SERVICE BON
    Parameters:
      `text` - - Text up to 40 characters.
    Throws:
      `java.lang.Exception`

  - ### printNonFiscalText

    public void printNonFiscalText​(java.lang.String text, java.lang.String height) throws java.lang.Exception
    PRINTING OF FREE TEXT IN SERVICE BON

    Support DP-05, DP-25, DP-35, WP-50, DP-150

    Parameters:
      `height` - '1' - Print at normal height. '2' - Print at 2x height. '3' - Print at 3x height.
      `text` - - Text up to 40 characters.

      The '#' symbol is printed at the beginning and end of the line.

    Throws:
      `java.lang.Exception`

  - ### printNonFiscalText

    public void printNonFiscalText​(java.lang.String text, java.lang.String height, boolean bold, boolean italic, boolean doubleHigh) throws java.lang.Exception
    PRINTING OF FREE TEXT IN SERVICE BON

    Support FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550

    Parameters:
      `height` - '1' - Print at normal height. '2' - Print at 2x height. '3' - Print at 3x height.
      `text` - - Text up to 40 characters.
      `bold` -
      `italic` -
      `doubleHigh` -

      The '#' symbol is printed at the beginning and end of the line.

    Throws:
      `java.lang.Exception`

  - ### printSeparatingLine

    public void printSeparatingLine​(java.lang.String type) throws java.lang.Exception
    Printing a Separating Text in non fiscal receipt

    Support FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550 1 - Add text â€žÐ¿Ð¾ Ñ‚Ð¾Ð·Ð¸ Ð±Ð¾Ð½" 2 - Add frame '*'

    Parameters:
      `type` -
    Throws:
      `java.lang.Exception`